[已解决]升级到8.04以后Mplayer无法启动。

为当前最终发行版之前的所有版本提供支持
回复
头像
Ray
帖子: 387
注册时间: 2006-07-06 0:57
来自: Beijing, PRC
送出感谢: 0
接收感谢: 0
联系:

[已解决]升级到8.04以后Mplayer无法启动。

#1

帖子 Ray » 2008-04-19 19:35

按照Wiki里的步骤检查了一下还是不行。帮忙看看。谢谢!
附件
screen.png
上次由 Ray 在 2008-04-19 22:28,总共编辑 1 次。
=================================
Ubuntu 12.04 LTS
Dell Vostro 1450
http://www.lirui.name
头像
command
帖子: 306
注册时间: 2007-10-14 0:50
来自: GUCAS
送出感谢: 0
接收感谢: 1 次

#2

帖子 command » 2008-04-19 20:26

用命令行试一试
OS: Debian GNU/Linux
Version: lenny
Kernel: 2.6.36
Xorg: 1.4.2
CPU: Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz
HD: 320G SATA
Memory: 2G DDRIII
Graphics:Mobility Radeon HD 3450
头像
Ray
帖子: 387
注册时间: 2006-07-06 0:57
来自: Beijing, PRC
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 Ray » 2008-04-19 22:24

command 写了:用命令行试一试


用mplayer能播放,用gmplayer和刚才的错误一样。控制台的错误说
[VO_XV] It seems there is no Xvideo support for your video card available.
[VO_XV] Run 'xvinfo' to verify its Xv support and read
然后按照提示用gmplayer -vo x11 播放正常。

把上图中的配置文件中 xv=x11 ,结果能播放了!!但是字幕全是横线。

用命令行再看,错误为:

Cannot load bitmap font: /home/ray/.mplayer/subfont.ttf

去Wiki查找这一段:

代码: 全选

mkdir ~/.mplayer
 ln -sf /usr/share/fonts/truetype/arphic/uming.ttf ~/.mplayer/subfont.ttf
 gedit ~/.mplayer/gui.conf


可是我在/usr/share/fonts/truetype/arphic/ 下面没看到这个文件:uming.ttf

只有ukai.ttc和uming.ttc。运行

代码: 全选

 ln -sf /usr/share/fonts/truetype/arphic/uming.ttc ~/.mplayer/subfont.ttf


再次尝试,字幕OK但是不能全屏播放。郁闷。

再次编辑配置文件,把 zoom=yes 前面的注释符号去掉。OK了

问题解决!!感谢楼上的Command
=================================
Ubuntu 12.04 LTS
Dell Vostro 1450
http://www.lirui.name
kaiman
帖子: 127
注册时间: 2007-03-20 14:19
送出感谢: 0
接收感谢: 0

#4

帖子 kaiman » 2008-04-20 6:31

:shock:
mv ~/.mplayer ~/.mplayer.orig
开mplayer再选一下vo、字幕编码、字幕字体,有配置界面嘛搞那么复杂干什么?搞清参数的关系,学东西怎么这么僵化。
头像
qlhn
帖子: 736
注册时间: 2006-08-25 10:37
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 qlhn » 2008-04-20 9:08

启示了
头像
Ray
帖子: 387
注册时间: 2006-07-06 0:57
来自: Beijing, PRC
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 Ray » 2008-04-20 10:52

kaiman 写了::shock:
mv ~/.mplayer ~/.mplayer.orig
开mplayer再选一下vo、字幕编码、字幕字体,有配置界面嘛搞那么复杂干什么?搞清参数的关系,学东西怎么这么僵化。


o,这个的确是不晓得。嘿嘿
非专业人员,只会照猫画虎。
=================================
Ubuntu 12.04 LTS
Dell Vostro 1450
http://www.lirui.name
deo.k
帖子: 2
注册时间: 2008-10-04 8:29
送出感谢: 0
接收感谢: 0

Re:

#7

帖子 deo.k » 2008-10-04 20:21

kaiman 写了::shock:
mv ~/.mplayer ~/.mplayer.orig
开mplayer再选一下vo、字幕编码、字幕字体,有配置界面嘛搞那么复杂干什么?搞清参数的关系,学东西怎么这么僵化。

好用了~~什么都好用了~~真是高手~~~
回复

回到 “老旧版本支持”